Package: org.codehaus.groovy.vmplugin.v7

## [Java] Enum CALL_TYPES

- org.codehaus.groovy.vmplugin.v7.IndyInterface.CALL_TYPES

- Enum for easy differentiation between call types

  Authors:
    Jochen "blackdrag" Theodorou

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CAST` |
    `GET` |
    `INIT` |
    `METHOD` |
    `SET` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getCallSiteName()` Returns the name of the call site type

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IndyInterface.CALL_TYPES CAST

    - #### IndyInterface.CALL_TYPES GET

    - #### IndyInterface.CALL_TYPES INIT

    - #### IndyInterface.CALL_TYPES METHOD

    - #### IndyInterface.CALL_TYPES SET

  - ### Method Detail

    - #### public String getCallSiteName()

      Returns the name of the call site type